Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Class JposEntryProp

    java.lang.Object
      |
      +--jpos.config.simple.editor.JposEntryProp

class JposEntryProp
extends java.lang.Object

Small class to aggregate a JposEntry property

Since:
  0.1 (Philly 99 meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com), Manuel M Monserat, Kriselie D Rivera

Field Summary
`static java.lang.String` | `SETNAMEEXCEPTION_STRING`

Constructor Summary
`JposEntryProp()` Default no-arg ctor
`JposEntryProp(java.lang.String name, java.lang.Object value)` Two argument ctor

Method Summary
`java.lang.String` | `getName()`
`java.lang.Object` | `getValue()`
`java.lang.String` | `getValueType()`
`void` | `setName(java.lang.String s)` Sets the name of this property
`void` | `setValue(java.lang.Object obj)` Sets the value of this property
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SETNAMEEXCEPTION_STRING

    public static final java.lang.String SETNAMEEXCEPTION_STRING

Constructor Detail

### JposEntryProp

    public JposEntryProp()

  Default no-arg ctor
  Since:
    0.1 (Philly 99 meeting)

### JposEntryProp

    public JposEntryProp(java.lang.String name,
                         java.lang.Object value)

  Two argument ctor
  Parameters:
    `name` - the property's name
    `value` - the property's value
  Since:
    0.1 (Philly 99 meeting)

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name of this property
  Since:
    0.1 (Philly 99 meeting)

### getValue

    public java.lang.Object getValue()

  Returns:
    the value of this property
  Since:
    0.1 (Philly 99 meeting)

### setName

    public void setName(java.lang.String s)
                 throws java.lang.IllegalArgumentException

  Sets the name of this property
  Parameters:
    `s` - the String name
  Since:
    0.1 (Philly 99 meeting)

### setValue

    public void setValue(java.lang.Object obj)

  Sets the value of this property
  Parameters:
    `obj` - the Object vlaue of this property
  Since:
    0.1 (Philly 99 meeting)

### getValueType

    public java.lang.String getValueType()

  Returns:
    a String for the type of the value
  Since:
    0.1 (Philly 99 meeting)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a String representation of this property
  Since:
    0.1 (Philly 99 meeting)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details